org.apache.solr.search

## Enum SolrCache.State

- java.lang.Object
- - java.lang.Enum<SolrCache.State>
  - - org.apache.solr.search.SolrCache.State

- All Implemented Interfaces:
    Serializable, Comparable<SolrCache.State>
  Enclosing interface:
    SolrCache<K,V>

      public static enum SolrCache.State
      extends Enum<SolrCache.State>

  Enumeration of possible States for cache instances. :TODO: only state that seems to ever be set is LIVE ?

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTOWARMING` :TODO
    `CREATED` :TODO
    `LIVE` :TODO
    `STATICWARMING` :TODO

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SolrCache.State` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SolrCache.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CREATED

          public static final SolrCache.State CREATED

      :TODO

    - #### STATICWARMING

          public static final SolrCache.State STATICWARMING

      :TODO

    - #### AUTOWARMING

          public static final SolrCache.State AUTOWARMING

      :TODO

    - #### LIVE

          public static final SolrCache.State LIVE

      :TODO

  - ### Method Detail

    - #### values

          public static SolrCache.State[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SolrCache.State c : SolrCache.State.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SolrCache.State valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.